# NZ Property Title

### nzPropertyTitle <a href="#nzpropertytitle" id="nzpropertytitle"></a>

Takes an single line address or semi-structure address or latitude, longitude as an input and performs property ownership validation, return validated result as passed or failed.

#### Resource URLs

```
    POST(component)   	
    https://hosted.mastersoftgroup.com/harmony/rest/nz/validate/propertyTitle/component
    
    GET(component)   	
    https://hosted.mastersoftgroup.com/harmony/rest/nz/validate/propertyTitle/component?firstName=John&lastName=Doe&streetNumber=000&street=xxx&suburb=MT EDEN&townCity=ACUKLAND&postcode=1024
    
    POST(singleLine)
    https://hosted.mastersoftgroup.com/harmony/rest/nz/validate/propertyTitle/address
    
    GET(singleLine)   	
    https://hosted.mastersoftgroup.com/harmony/rest/nz/validate/propertyTitle/address?firstName=John&lastName=Doe&fullAddress=000 xxxx st, wellington central, wellington&showDetails=true
    	
    POST(latLong)   	
    https://hosted.mastersoftgroup.com/harmony/rest/nz/validate/propertyTitle/latlong
    
    GET(latLong)   		
    https://hosted.mastersoftgroup.com/harmony/rest/nz/validate/propertyTitle/latlong?firstName=John&lastName=Doe&latitude=-41.xxxxxxx&longitude=174.xxxxxx&showDetails=true
```

#### Request

The request body is a [PropertyTitleRestRequest ](/loqate-harmony-api/api-specification/objects/property-title-objects.md#propertytitlerestrequest)object:

```
   {
        "payload": {
            "firstName":"John", 
            "lastName":"Doe", 
            "streetNumber":"000", 
            "street":"xxxxx st", 
            "suburb":"wellington central", 
            "townCity":"wellington"
        },
        "showDetails":"true"
    }
    
```

#### Response

The response body is a [PropertyTitleRestResponse ](/loqate-harmony-api/api-specification/objects/property-title-objects.md#propertytitlerestresponse)object:

```
     {
        {
            "status":"SUCCESS",
            "messages":[],
       	    "payload":{
                "response":"fail",
                "attributes":[
                    {
                        "type":"NZ_PROPERTY_TITLE",
                        "attributes":{
                            "guaranteeStatus":"Guarantee",
                            "status":"LIVE",
                            "descrption":"Fee Simple, 1/1, Lot x Deposited Plan xxx, 401 m2",
                            "spatialExtensShared":"T",
                            "ownsNumber":"1",
                            "issueDate":"1986/09/10 00:00:00",
                            "titleNo":"xxxx",
                            "type":"Freehold",
                            "owners":"xxxx",
                            "titleId":"xxxx",
                            "landDistrict":"Wellington"
                        }
                    }
                ]
            }
        }
    }
    
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/nz-property-title.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
